Package org.silverpeas.mobile.shared.dto.notifications

## Class NotificationDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.notifications.NotificationDTO

- All Implemented Interfaces:
    `Serializable`

      public class NotificationDTO
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TYPE_DOCUMENT` |
    `static String` | `TYPE_EVENT` |
    `static String` | `TYPE_PHOTO` |
    `static String` | `TYPE_PUBLICATION` |
    `static String` | `TYPE_SOUND` |
    `static String` | `TYPE_STREAMING` |
    `static String` | `TYPE_VIDEO` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotificationDTO()` |
    `NotificationDTO​(String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentId()` |
    `String` | `getContentType()` |
    `String` | `getInstanceId()` |
    `String` | `getMessage()` |
    `void` | `setContentId​(String contentId)` |
    `void` | `setContentType​(String contentType)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setMessage​(String message)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PUBLICATION

          public static final String TYPE_PUBLICATION

      See Also:
        Constant Field Values

    - #### TYPE_DOCUMENT

          public static final String TYPE_DOCUMENT

      See Also:
        Constant Field Values

    - #### TYPE_PHOTO

          public static final String TYPE_PHOTO

      See Also:
        Constant Field Values

    - #### TYPE_VIDEO

          public static final String TYPE_VIDEO

      See Also:
        Constant Field Values

    - #### TYPE_SOUND

          public static final String TYPE_SOUND

      See Also:
        Constant Field Values

    - #### TYPE_STREAMING

          public static final String TYPE_STREAMING

      See Also:
        Constant Field Values

    - #### TYPE_EVENT

          public static final String TYPE_EVENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NotificationDTO

          public NotificationDTO()

    - #### NotificationDTO

          public NotificationDTO​(String message)

  - ### Method Detail

    - #### getContentId

          public String getContentId()

    - #### setContentId

          public void setContentId​(String contentId)

    - #### getContentType

          public String getContentType()

    - #### setContentType

          public void setContentType​(String contentType)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public void setMessage​(String message)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)